using System;
using System.Collections.Generic;
using System.Windows.Input;
using System.Text;
using PortfolioManager.ViewModels;

namespace PortfolioManager.ViewModels
{
  public class CommandViewModel : ViewModelBase 
  { 
    public CommandViewModel(string displayName, ICommand command) 
    { 
      if (command == null) throw new ArgumentNullException("command"); 
      base.DisplayName = displayName;
      this.Command = command; 
    } 
    
    public ICommand Command
    {
      get; private set;
    }

    public override SaveParameters GetSaveParameters()
    {
      return null;
    }
    
    public override void SetSaveParameters(SaveParameters saveParameters)
    {
    }
    
    public override bool CanPersist()
    {
      return false;
    }
  }
}
